syntax = "proto3";

package ring.v1;

import "google/protobuf/empty.proto";
import "ring/v1/request_response.proto";
import "ring/v1/account_req_res.proto";
import "base/v1/resource.proto";

service RingService{

 // account info service
 rpc SendRawTransaction(base.v1.EthTransaction) returns (SendRawTransactionResponse) {};
 rpc Nonce(NonceRequest) returns (NonceResponse) {};

}